Skip to main content
GET
/
task-tags
List task tags
curl --request GET \
  --url https://www.ruddr.io/api/workspace/task-tags \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "b3e1f4a2-89cd-4f17-b62a-5d3c0e7f91a8",
      "name": "Launch",
      "isActive": true,
      "createdAt": "2025-03-10T14:22:45.183Z"
    }
  ],
  "hasMore": false
}
A custom attribute that can be assigned to tasks and used to filter reports.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer<int32>

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.